---
updatedAt: 2026-05-11T18:57:40.000Z
---

# Initiate Moderation-Assist

Use this API to initiate the asynchronous moderation assist process for Onsite Display (static) ad creatives.

> 📘 URL: POST /api/v1/creatives/{creativeId}/moderation-assist

# Path Parameters

| Parameter  | Description              | Type   | Required | Possible Values     |
| :--------- | :----------------------- | :----- | :------- | :------------------ |
| creativeId | The UUID of the creative | string | Y        | A valid creative ID |

# Request Parameters

| Parameter    | Description                       | Type    | Required | Possible Values       |
| :----------- | :-------------------------------- | :------ | :------- | :-------------------- |
| advertiserId | The ID of the specific advertiser | integer | Y        | A valid advertiser ID |

<br />

# Headers

| Header Name              | Description                                                                                                                                    | Required | Values                                                                                                                                           |
| ------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------ |
| Authorization            | The token will provide you the access to the API. It is same for all advertisers you access through the API.                                   | Y        | Please utilize the generated `auth_token` shared with you at the time of partner onboarding from the Getting Started Guide                       |
| Content-Type             | Format of the message body                                                                                                                     | Y        | application/json                                                                                                                                 |
| WM\_CONSUMER.ID          | Unique ID for consumer. We will provide you the consumer ID to access the API. It is same for all advertisers you access   through the API.    | Y        | Please use the generated `ConsumerId` shared with you at the time of partner onboarding. Refer to the Getting Started Guide for more information |
| WM\_SEC.AUTH\_SIGNATURE  | Signature for authentication                                                                                                                   | Y        | Use the signature generator code from Getting Started Guide to generate this value                                                               |
| WM\_SEC.KEY\_VERSION     | Key version. We will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API.            | Y        | 1                                                                                                                                                |
| WM\_CONSUMER.intimestamp | Timestamp for  which the auth signature is generated. Use Unix epoch format for the timestamp.                                                 | Y        | Use the signature generator code from Getting Started Guide to generate this value                                                               |

<br />

## Sample Request

```curl
curl -X POST \
  --location 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/creatives/abcde-12345/moderation-assist' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer <token>' \
  --header 'WM_CONSUMER.ID: <consumer id>' \
  --header 'WM_SEC.KEY_VERSION: 1' \
  --header 'WM_CONSUMER.INTIMESTAMP: 0000000000000' \
  --header 'WM_SEC.AUTH_SIGNATURE: <token>' \
  --data '{
    "advertiserId": 123
  }'
```

<br />

# Response

[block:parameters]
{
  "data": {
    "h-0": "Element",
    "h-1": "Description",
    "h-2": "Type",
    "0-0": "jobId",
    "0-1": "UUID of async job",
    "0-2": "string",
    "1-0": "status",
    "1-1": "Status.  \nValues of status:`PENDING`, `COMPLETED`, `FAILED`",
    "1-2": "string",
    "2-0": "createdAt",
    "2-1": "The date of creation",
    "2-2": "date-time"
  },
  "cols": 3,
  "rows": 3,
  "align": [
    "left",
    "left",
    "left"
  ]
}
[/block]

## Sample Response 1

```json
{
  "jobId": "11111111-aaaa-aaaa-aaaa-111111111111",
  "status": "PENDING",
  "createdAt": "2026-02-05T22:08:08Z"
}
```

## Sample Response 2

```json
{
  "jobId": "11111111-aaaa-aaaa-aaaa-111111111111",
  "status": "PENDING",
  "createdAt": "2026-02-05T22:08:08Z"
}
```